Get NFT items
Query NFT items that match the specified filters.
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Query Parameters
NFT item address in any form. Maximum: 1000 addresses.
Address of the NFT item owner in any form. Maximum: 1000 addresses.
Collection address in any form.
Item index for the specified collection. Maximum: 1000 indexes.
Include NFT items listed in sales or auctions. Applies only when owner_address is provided.
Sort NFT items by last_transaction_lt in descending order. Results may be inconsistent while paginating with limit and offset.
Limit the number of rows to return. Use with offset to batch requests.
Skip the first N rows. Use with limit to batch requests.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v3/nft/items"{
"address_book": {
"property1": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
},
"property2": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
}
},
"metadata": {
"property1": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"is_nsfw": true,
"is_scam": true,
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
},
"property2": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"is_nsfw": true,
"is_scam": true,
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
}
},
"nft_items": [
{
"address": "string",
"auction_contract_address": "string",
"code_hash": "string",
"collection": {
"address": "string",
"code_hash": "string",
"collection_content": {},
"data_hash": "string",
"last_transaction_lt": "0",
"next_item_index": "string",
"owner_address": "string"
},
"collection_address": "string",
"content": {},
"data_hash": "string",
"index": "string",
"init": true,
"last_transaction_lt": "0",
"on_sale": true,
"owner_address": "string",
"real_owner": "string",
"sale_contract_address": "string"
}
]
}{
"code": 0,
"error": "string"
}